#!/bin/sh
config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}
for file in etc/sane.d/*.new ; do
  config $file
done
( cd usr/lib ; rm -rf libsane.so )
( cd usr/lib ; ln -sf libsane.so.1.0.32 libsane.so )
( cd usr/lib ; rm -rf libsane.so.1 )
( cd usr/lib ; ln -sf libsane.so.1.0.32 libsane.so.1 )
( cd usr/lib/sane ; rm -rf libsane-abaton.so )
( cd usr/lib/sane ; ln -sf libsane-abaton.so.1.0.32 libsane-abaton.so )
( cd usr/lib/sane ; rm -rf libsane-abaton.so.1 )
( cd usr/lib/sane ; ln -sf libsane-abaton.so.1.0.32 libsane-abaton.so.1 )
( cd usr/lib/sane ; rm -rf libsane-agfafocus.so )
( cd usr/lib/sane ; ln -sf libsane-agfafocus.so.1.0.32 libsane-agfafocus.so )
( cd usr/lib/sane ; rm -rf libsane-agfafocus.so.1 )
( cd usr/lib/sane ; ln -sf libsane-agfafocus.so.1.0.32 libsane-agfafocus.so.1 )
( cd usr/lib/sane ; rm -rf libsane-apple.so )
( cd usr/lib/sane ; ln -sf libsane-apple.so.1.0.32 libsane-apple.so )
( cd usr/lib/sane ; rm -rf libsane-apple.so.1 )
( cd usr/lib/sane ; ln -sf libsane-apple.so.1.0.32 libsane-apple.so.1 )
( cd usr/lib/sane ; rm -rf libsane-artec.so )
( cd usr/lib/sane ; ln -sf libsane-artec.so.1.0.32 libsane-artec.so )
( cd usr/lib/sane ; rm -rf libsane-artec.so.1 )
( cd usr/lib/sane ; ln -sf libsane-artec.so.1.0.32 libsane-artec.so.1 )
( cd usr/lib/sane ; rm -rf libsane-artec_eplus48u.so )
( cd usr/lib/sane ; ln -sf libsane-artec_eplus48u.so.1.0.32 libsane-artec_eplus48u.so )
( cd usr/lib/sane ; rm -rf libsane-artec_eplus48u.so.1 )
( cd usr/lib/sane ; ln -sf libsane-artec_eplus48u.so.1.0.32 libsane-artec_eplus48u.so.1 )
( cd usr/lib/sane ; rm -rf libsane-as6e.so )
( cd usr/lib/sane ; ln -sf libsane-as6e.so.1.0.32 libsane-as6e.so )
( cd usr/lib/sane ; rm -rf libsane-as6e.so.1 )
( cd usr/lib/sane ; ln -sf libsane-as6e.so.1.0.32 libsane-as6e.so.1 )
( cd usr/lib/sane ; rm -rf libsane-avision.so )
( cd usr/lib/sane ; ln -sf libsane-avision.so.1.0.32 libsane-avision.so )
( cd usr/lib/sane ; rm -rf libsane-avision.so.1 )
( cd usr/lib/sane ; ln -sf libsane-avision.so.1.0.32 libsane-avision.so.1 )
( cd usr/lib/sane ; rm -rf libsane-bh.so )
( cd usr/lib/sane ; ln -sf libsane-bh.so.1.0.32 libsane-bh.so )
( cd usr/lib/sane ; rm -rf libsane-bh.so.1 )
( cd usr/lib/sane ; ln -sf libsane-bh.so.1.0.32 libsane-bh.so.1 )
( cd usr/lib/sane ; rm -rf libsane-canon.so )
( cd usr/lib/sane ; ln -sf libsane-canon.so.1.0.32 libsane-canon.so )
( cd usr/lib/sane ; rm -rf libsane-canon.so.1 )
( cd usr/lib/sane ; ln -sf libsane-canon.so.1.0.32 libsane-canon.so.1 )
( cd usr/lib/sane ; rm -rf libsane-canon630u.so )
( cd usr/lib/sane ; ln -sf libsane-canon630u.so.1.0.32 libsane-canon630u.so )
( cd usr/lib/sane ; rm -rf libsane-canon630u.so.1 )
( cd usr/lib/sane ; ln -sf libsane-canon630u.so.1.0.32 libsane-canon630u.so.1 )
( cd usr/lib/sane ; rm -rf libsane-canon_dr.so )
( cd usr/lib/sane ; ln -sf libsane-canon_dr.so.1.0.32 libsane-canon_dr.so )
( cd usr/lib/sane ; rm -rf libsane-canon_dr.so.1 )
( cd usr/lib/sane ; ln -sf libsane-canon_dr.so.1.0.32 libsane-canon_dr.so.1 )
( cd usr/lib/sane ; rm -rf libsane-canon_lide70.so )
( cd usr/lib/sane ; ln -sf libsane-canon_lide70.so.1.0.32 libsane-canon_lide70.so )
( cd usr/lib/sane ; rm -rf libsane-canon_lide70.so.1 )
( cd usr/lib/sane ; ln -sf libsane-canon_lide70.so.1.0.32 libsane-canon_lide70.so.1 )
( cd usr/lib/sane ; rm -rf libsane-canon_pp.so )
( cd usr/lib/sane ; ln -sf libsane-canon_pp.so.1.0.32 libsane-canon_pp.so )
( cd usr/lib/sane ; rm -rf libsane-canon_pp.so.1 )
( cd usr/lib/sane ; ln -sf libsane-canon_pp.so.1.0.32 libsane-canon_pp.so.1 )
( cd usr/lib/sane ; rm -rf libsane-cardscan.so )
( cd usr/lib/sane ; ln -sf libsane-cardscan.so.1.0.32 libsane-cardscan.so )
( cd usr/lib/sane ; rm -rf libsane-cardscan.so.1 )
( cd usr/lib/sane ; ln -sf libsane-cardscan.so.1.0.32 libsane-cardscan.so.1 )
( cd usr/lib/sane ; rm -rf libsane-coolscan.so )
( cd usr/lib/sane ; ln -sf libsane-coolscan.so.1.0.32 libsane-coolscan.so )
( cd usr/lib/sane ; rm -rf libsane-coolscan.so.1 )
( cd usr/lib/sane ; ln -sf libsane-coolscan.so.1.0.32 libsane-coolscan.so.1 )
( cd usr/lib/sane ; rm -rf libsane-coolscan2.so )
( cd usr/lib/sane ; ln -sf libsane-coolscan2.so.1.0.32 libsane-coolscan2.so )
( cd usr/lib/sane ; rm -rf libsane-coolscan2.so.1 )
( cd usr/lib/sane ; ln -sf libsane-coolscan2.so.1.0.32 libsane-coolscan2.so.1 )
( cd usr/lib/sane ; rm -rf libsane-coolscan3.so )
( cd usr/lib/sane ; ln -sf libsane-coolscan3.so.1.0.32 libsane-coolscan3.so )
( cd usr/lib/sane ; rm -rf libsane-coolscan3.so.1 )
( cd usr/lib/sane ; ln -sf libsane-coolscan3.so.1.0.32 libsane-coolscan3.so.1 )
( cd usr/lib/sane ; rm -rf libsane-dc210.so )
( cd usr/lib/sane ; ln -sf libsane-dc210.so.1.0.32 libsane-dc210.so )
( cd usr/lib/sane ; rm -rf libsane-dc210.so.1 )
( cd usr/lib/sane ; ln -sf libsane-dc210.so.1.0.32 libsane-dc210.so.1 )
( cd usr/lib/sane ; rm -rf libsane-dc240.so )
( cd usr/lib/sane ; ln -sf libsane-dc240.so.1.0.32 libsane-dc240.so )
( cd usr/lib/sane ; rm -rf libsane-dc240.so.1 )
( cd usr/lib/sane ; ln -sf libsane-dc240.so.1.0.32 libsane-dc240.so.1 )
( cd usr/lib/sane ; rm -rf libsane-dc25.so )
( cd usr/lib/sane ; ln -sf libsane-dc25.so.1.0.32 libsane-dc25.so )
( cd usr/lib/sane ; rm -rf libsane-dc25.so.1 )
( cd usr/lib/sane ; ln -sf libsane-dc25.so.1.0.32 libsane-dc25.so.1 )
( cd usr/lib/sane ; rm -rf libsane-dell1600n_net.so )
( cd usr/lib/sane ; ln -sf libsane-dell1600n_net.so.1.0.32 libsane-dell1600n_net.so )
( cd usr/lib/sane ; rm -rf libsane-dell1600n_net.so.1 )
( cd usr/lib/sane ; ln -sf libsane-dell1600n_net.so.1.0.32 libsane-dell1600n_net.so.1 )
( cd usr/lib/sane ; rm -rf libsane-dll.so )
( cd usr/lib/sane ; ln -sf libsane-dll.so.1.0.32 libsane-dll.so )
( cd usr/lib/sane ; rm -rf libsane-dll.so.1 )
( cd usr/lib/sane ; ln -sf libsane-dll.so.1.0.32 libsane-dll.so.1 )
( cd usr/lib/sane ; rm -rf libsane-dmc.so )
( cd usr/lib/sane ; ln -sf libsane-dmc.so.1.0.32 libsane-dmc.so )
( cd usr/lib/sane ; rm -rf libsane-dmc.so.1 )
( cd usr/lib/sane ; ln -sf libsane-dmc.so.1.0.32 libsane-dmc.so.1 )
( cd usr/lib/sane ; rm -rf libsane-epjitsu.so )
( cd usr/lib/sane ; ln -sf libsane-epjitsu.so.1.0.32 libsane-epjitsu.so )
( cd usr/lib/sane ; rm -rf libsane-epjitsu.so.1 )
( cd usr/lib/sane ; ln -sf libsane-epjitsu.so.1.0.32 libsane-epjitsu.so.1 )
( cd usr/lib/sane ; rm -rf libsane-epson.so )
( cd usr/lib/sane ; ln -sf libsane-epson.so.1.0.32 libsane-epson.so )
( cd usr/lib/sane ; rm -rf libsane-epson.so.1 )
( cd usr/lib/sane ; ln -sf libsane-epson.so.1.0.32 libsane-epson.so.1 )
( cd usr/lib/sane ; rm -rf libsane-epson2.so )
( cd usr/lib/sane ; ln -sf libsane-epson2.so.1.0.32 libsane-epson2.so )
( cd usr/lib/sane ; rm -rf libsane-epson2.so.1 )
( cd usr/lib/sane ; ln -sf libsane-epson2.so.1.0.32 libsane-epson2.so.1 )
( cd usr/lib/sane ; rm -rf libsane-epsonds.so )
( cd usr/lib/sane ; ln -sf libsane-epsonds.so.1.0.32 libsane-epsonds.so )
( cd usr/lib/sane ; rm -rf libsane-epsonds.so.1 )
( cd usr/lib/sane ; ln -sf libsane-epsonds.so.1.0.32 libsane-epsonds.so.1 )
( cd usr/lib/sane ; rm -rf libsane-fujitsu.so )
( cd usr/lib/sane ; ln -sf libsane-fujitsu.so.1.0.32 libsane-fujitsu.so )
( cd usr/lib/sane ; rm -rf libsane-fujitsu.so.1 )
( cd usr/lib/sane ; ln -sf libsane-fujitsu.so.1.0.32 libsane-fujitsu.so.1 )
( cd usr/lib/sane ; rm -rf libsane-genesys.so )
( cd usr/lib/sane ; ln -sf libsane-genesys.so.1.0.32 libsane-genesys.so )
( cd usr/lib/sane ; rm -rf libsane-genesys.so.1 )
( cd usr/lib/sane ; ln -sf libsane-genesys.so.1.0.32 libsane-genesys.so.1 )
( cd usr/lib/sane ; rm -rf libsane-gphoto2.so )
( cd usr/lib/sane ; ln -sf libsane-gphoto2.so.1.0.32 libsane-gphoto2.so )
( cd usr/lib/sane ; rm -rf libsane-gphoto2.so.1 )
( cd usr/lib/sane ; ln -sf libsane-gphoto2.so.1.0.32 libsane-gphoto2.so.1 )
( cd usr/lib/sane ; rm -rf libsane-gt68xx.so )
( cd usr/lib/sane ; ln -sf libsane-gt68xx.so.1.0.32 libsane-gt68xx.so )
( cd usr/lib/sane ; rm -rf libsane-gt68xx.so.1 )
( cd usr/lib/sane ; ln -sf libsane-gt68xx.so.1.0.32 libsane-gt68xx.so.1 )
( cd usr/lib/sane ; rm -rf libsane-hp.so )
( cd usr/lib/sane ; ln -sf libsane-hp.so.1.0.32 libsane-hp.so )
( cd usr/lib/sane ; rm -rf libsane-hp.so.1 )
( cd usr/lib/sane ; ln -sf libsane-hp.so.1.0.32 libsane-hp.so.1 )
( cd usr/lib/sane ; rm -rf libsane-hp3500.so )
( cd usr/lib/sane ; ln -sf libsane-hp3500.so.1.0.32 libsane-hp3500.so )
( cd usr/lib/sane ; rm -rf libsane-hp3500.so.1 )
( cd usr/lib/sane ; ln -sf libsane-hp3500.so.1.0.32 libsane-hp3500.so.1 )
( cd usr/lib/sane ; rm -rf libsane-hp3900.so )
( cd usr/lib/sane ; ln -sf libsane-hp3900.so.1.0.32 libsane-hp3900.so )
( cd usr/lib/sane ; rm -rf libsane-hp3900.so.1 )
( cd usr/lib/sane ; ln -sf libsane-hp3900.so.1.0.32 libsane-hp3900.so.1 )
( cd usr/lib/sane ; rm -rf libsane-hp4200.so )
( cd usr/lib/sane ; ln -sf libsane-hp4200.so.1.0.32 libsane-hp4200.so )
( cd usr/lib/sane ; rm -rf libsane-hp4200.so.1 )
( cd usr/lib/sane ; ln -sf libsane-hp4200.so.1.0.32 libsane-hp4200.so.1 )
( cd usr/lib/sane ; rm -rf libsane-hp5400.so )
( cd usr/lib/sane ; ln -sf libsane-hp5400.so.1.0.32 libsane-hp5400.so )
( cd usr/lib/sane ; rm -rf libsane-hp5400.so.1 )
( cd usr/lib/sane ; ln -sf libsane-hp5400.so.1.0.32 libsane-hp5400.so.1 )
( cd usr/lib/sane ; rm -rf libsane-hp5590.so )
( cd usr/lib/sane ; ln -sf libsane-hp5590.so.1.0.32 libsane-hp5590.so )
( cd usr/lib/sane ; rm -rf libsane-hp5590.so.1 )
( cd usr/lib/sane ; ln -sf libsane-hp5590.so.1.0.32 libsane-hp5590.so.1 )
( cd usr/lib/sane ; rm -rf libsane-hpljm1005.so )
( cd usr/lib/sane ; ln -sf libsane-hpljm1005.so.1.0.32 libsane-hpljm1005.so )
( cd usr/lib/sane ; rm -rf libsane-hpljm1005.so.1 )
( cd usr/lib/sane ; ln -sf libsane-hpljm1005.so.1.0.32 libsane-hpljm1005.so.1 )
( cd usr/lib/sane ; rm -rf libsane-hpsj5s.so )
( cd usr/lib/sane ; ln -sf libsane-hpsj5s.so.1.0.32 libsane-hpsj5s.so )
( cd usr/lib/sane ; rm -rf libsane-hpsj5s.so.1 )
( cd usr/lib/sane ; ln -sf libsane-hpsj5s.so.1.0.32 libsane-hpsj5s.so.1 )
( cd usr/lib/sane ; rm -rf libsane-hs2p.so )
( cd usr/lib/sane ; ln -sf libsane-hs2p.so.1.0.32 libsane-hs2p.so )
( cd usr/lib/sane ; rm -rf libsane-hs2p.so.1 )
( cd usr/lib/sane ; ln -sf libsane-hs2p.so.1.0.32 libsane-hs2p.so.1 )
( cd usr/lib/sane ; rm -rf libsane-ibm.so )
( cd usr/lib/sane ; ln -sf libsane-ibm.so.1.0.32 libsane-ibm.so )
( cd usr/lib/sane ; rm -rf libsane-ibm.so.1 )
( cd usr/lib/sane ; ln -sf libsane-ibm.so.1.0.32 libsane-ibm.so.1 )
( cd usr/lib/sane ; rm -rf libsane-kodak.so )
( cd usr/lib/sane ; ln -sf libsane-kodak.so.1.0.32 libsane-kodak.so )
( cd usr/lib/sane ; rm -rf libsane-kodak.so.1 )
( cd usr/lib/sane ; ln -sf libsane-kodak.so.1.0.32 libsane-kodak.so.1 )
( cd usr/lib/sane ; rm -rf libsane-kodakaio.so )
( cd usr/lib/sane ; ln -sf libsane-kodakaio.so.1.0.32 libsane-kodakaio.so )
( cd usr/lib/sane ; rm -rf libsane-kodakaio.so.1 )
( cd usr/lib/sane ; ln -sf libsane-kodakaio.so.1.0.32 libsane-kodakaio.so.1 )
( cd usr/lib/sane ; rm -rf libsane-kvs1025.so )
( cd usr/lib/sane ; ln -sf libsane-kvs1025.so.1.0.32 libsane-kvs1025.so )
( cd usr/lib/sane ; rm -rf libsane-kvs1025.so.1 )
( cd usr/lib/sane ; ln -sf libsane-kvs1025.so.1.0.32 libsane-kvs1025.so.1 )
( cd usr/lib/sane ; rm -rf libsane-kvs20xx.so )
( cd usr/lib/sane ; ln -sf libsane-kvs20xx.so.1.0.32 libsane-kvs20xx.so )
( cd usr/lib/sane ; rm -rf libsane-kvs20xx.so.1 )
( cd usr/lib/sane ; ln -sf libsane-kvs20xx.so.1.0.32 libsane-kvs20xx.so.1 )
( cd usr/lib/sane ; rm -rf libsane-kvs40xx.so )
( cd usr/lib/sane ; ln -sf libsane-kvs40xx.so.1.0.32 libsane-kvs40xx.so )
( cd usr/lib/sane ; rm -rf libsane-kvs40xx.so.1 )
( cd usr/lib/sane ; ln -sf libsane-kvs40xx.so.1.0.32 libsane-kvs40xx.so.1 )
( cd usr/lib/sane ; rm -rf libsane-leo.so )
( cd usr/lib/sane ; ln -sf libsane-leo.so.1.0.32 libsane-leo.so )
( cd usr/lib/sane ; rm -rf libsane-leo.so.1 )
( cd usr/lib/sane ; ln -sf libsane-leo.so.1.0.32 libsane-leo.so.1 )
( cd usr/lib/sane ; rm -rf libsane-lexmark.so )
( cd usr/lib/sane ; ln -sf libsane-lexmark.so.1.0.32 libsane-lexmark.so )
( cd usr/lib/sane ; rm -rf libsane-lexmark.so.1 )
( cd usr/lib/sane ; ln -sf libsane-lexmark.so.1.0.32 libsane-lexmark.so.1 )
( cd usr/lib/sane ; rm -rf libsane-ma1509.so )
( cd usr/lib/sane ; ln -sf libsane-ma1509.so.1.0.32 libsane-ma1509.so )
( cd usr/lib/sane ; rm -rf libsane-ma1509.so.1 )
( cd usr/lib/sane ; ln -sf libsane-ma1509.so.1.0.32 libsane-ma1509.so.1 )
( cd usr/lib/sane ; rm -rf libsane-magicolor.so )
( cd usr/lib/sane ; ln -sf libsane-magicolor.so.1.0.32 libsane-magicolor.so )
( cd usr/lib/sane ; rm -rf libsane-magicolor.so.1 )
( cd usr/lib/sane ; ln -sf libsane-magicolor.so.1.0.32 libsane-magicolor.so.1 )
( cd usr/lib/sane ; rm -rf libsane-matsushita.so )
( cd usr/lib/sane ; ln -sf libsane-matsushita.so.1.0.32 libsane-matsushita.so )
( cd usr/lib/sane ; rm -rf libsane-matsushita.so.1 )
( cd usr/lib/sane ; ln -sf libsane-matsushita.so.1.0.32 libsane-matsushita.so.1 )
( cd usr/lib/sane ; rm -rf libsane-microtek.so )
( cd usr/lib/sane ; ln -sf libsane-microtek.so.1.0.32 libsane-microtek.so )
( cd usr/lib/sane ; rm -rf libsane-microtek.so.1 )
( cd usr/lib/sane ; ln -sf libsane-microtek.so.1.0.32 libsane-microtek.so.1 )
( cd usr/lib/sane ; rm -rf libsane-microtek2.so )
( cd usr/lib/sane ; ln -sf libsane-microtek2.so.1.0.32 libsane-microtek2.so )
( cd usr/lib/sane ; rm -rf libsane-microtek2.so.1 )
( cd usr/lib/sane ; ln -sf libsane-microtek2.so.1.0.32 libsane-microtek2.so.1 )
( cd usr/lib/sane ; rm -rf libsane-mustek.so )
( cd usr/lib/sane ; ln -sf libsane-mustek.so.1.0.32 libsane-mustek.so )
( cd usr/lib/sane ; rm -rf libsane-mustek.so.1 )
( cd usr/lib/sane ; ln -sf libsane-mustek.so.1.0.32 libsane-mustek.so.1 )
( cd usr/lib/sane ; rm -rf libsane-mustek_pp.so )
( cd usr/lib/sane ; ln -sf libsane-mustek_pp.so.1.0.32 libsane-mustek_pp.so )
( cd usr/lib/sane ; rm -rf libsane-mustek_pp.so.1 )
( cd usr/lib/sane ; ln -sf libsane-mustek_pp.so.1.0.32 libsane-mustek_pp.so.1 )
( cd usr/lib/sane ; rm -rf libsane-mustek_usb.so )
( cd usr/lib/sane ; ln -sf libsane-mustek_usb.so.1.0.32 libsane-mustek_usb.so )
( cd usr/lib/sane ; rm -rf libsane-mustek_usb.so.1 )
( cd usr/lib/sane ; ln -sf libsane-mustek_usb.so.1.0.32 libsane-mustek_usb.so.1 )
( cd usr/lib/sane ; rm -rf libsane-mustek_usb2.so )
( cd usr/lib/sane ; ln -sf libsane-mustek_usb2.so.1.0.32 libsane-mustek_usb2.so )
( cd usr/lib/sane ; rm -rf libsane-mustek_usb2.so.1 )
( cd usr/lib/sane ; ln -sf libsane-mustek_usb2.so.1.0.32 libsane-mustek_usb2.so.1 )
( cd usr/lib/sane ; rm -rf libsane-nec.so )
( cd usr/lib/sane ; ln -sf libsane-nec.so.1.0.32 libsane-nec.so )
( cd usr/lib/sane ; rm -rf libsane-nec.so.1 )
( cd usr/lib/sane ; ln -sf libsane-nec.so.1.0.32 libsane-nec.so.1 )
( cd usr/lib/sane ; rm -rf libsane-net.so )
( cd usr/lib/sane ; ln -sf libsane-net.so.1.0.32 libsane-net.so )
( cd usr/lib/sane ; rm -rf libsane-net.so.1 )
( cd usr/lib/sane ; ln -sf libsane-net.so.1.0.32 libsane-net.so.1 )
( cd usr/lib/sane ; rm -rf libsane-niash.so )
( cd usr/lib/sane ; ln -sf libsane-niash.so.1.0.32 libsane-niash.so )
( cd usr/lib/sane ; rm -rf libsane-niash.so.1 )
( cd usr/lib/sane ; ln -sf libsane-niash.so.1.0.32 libsane-niash.so.1 )
( cd usr/lib/sane ; rm -rf libsane-p5.so )
( cd usr/lib/sane ; ln -sf libsane-p5.so.1.0.32 libsane-p5.so )
( cd usr/lib/sane ; rm -rf libsane-p5.so.1 )
( cd usr/lib/sane ; ln -sf libsane-p5.so.1.0.32 libsane-p5.so.1 )
( cd usr/lib/sane ; rm -rf libsane-pie.so )
( cd usr/lib/sane ; ln -sf libsane-pie.so.1.0.32 libsane-pie.so )
( cd usr/lib/sane ; rm -rf libsane-pie.so.1 )
( cd usr/lib/sane ; ln -sf libsane-pie.so.1.0.32 libsane-pie.so.1 )
( cd usr/lib/sane ; rm -rf libsane-pieusb.so )
( cd usr/lib/sane ; ln -sf libsane-pieusb.so.1.0.32 libsane-pieusb.so )
( cd usr/lib/sane ; rm -rf libsane-pieusb.so.1 )
( cd usr/lib/sane ; ln -sf libsane-pieusb.so.1.0.32 libsane-pieusb.so.1 )
( cd usr/lib/sane ; rm -rf libsane-pixma.so )
( cd usr/lib/sane ; ln -sf libsane-pixma.so.1.0.32 libsane-pixma.so )
( cd usr/lib/sane ; rm -rf libsane-pixma.so.1 )
( cd usr/lib/sane ; ln -sf libsane-pixma.so.1.0.32 libsane-pixma.so.1 )
( cd usr/lib/sane ; rm -rf libsane-plustek.so )
( cd usr/lib/sane ; ln -sf libsane-plustek.so.1.0.32 libsane-plustek.so )
( cd usr/lib/sane ; rm -rf libsane-plustek.so.1 )
( cd usr/lib/sane ; ln -sf libsane-plustek.so.1.0.32 libsane-plustek.so.1 )
( cd usr/lib/sane ; rm -rf libsane-plustek_pp.so )
( cd usr/lib/sane ; ln -sf libsane-plustek_pp.so.1.0.32 libsane-plustek_pp.so )
( cd usr/lib/sane ; rm -rf libsane-plustek_pp.so.1 )
( cd usr/lib/sane ; ln -sf libsane-plustek_pp.so.1.0.32 libsane-plustek_pp.so.1 )
( cd usr/lib/sane ; rm -rf libsane-qcam.so )
( cd usr/lib/sane ; ln -sf libsane-qcam.so.1.0.32 libsane-qcam.so )
( cd usr/lib/sane ; rm -rf libsane-qcam.so.1 )
( cd usr/lib/sane ; ln -sf libsane-qcam.so.1.0.32 libsane-qcam.so.1 )
( cd usr/lib/sane ; rm -rf libsane-ricoh.so )
( cd usr/lib/sane ; ln -sf libsane-ricoh.so.1.0.32 libsane-ricoh.so )
( cd usr/lib/sane ; rm -rf libsane-ricoh.so.1 )
( cd usr/lib/sane ; ln -sf libsane-ricoh.so.1.0.32 libsane-ricoh.so.1 )
( cd usr/lib/sane ; rm -rf libsane-ricoh2.so )
( cd usr/lib/sane ; ln -sf libsane-ricoh2.so.1.0.32 libsane-ricoh2.so )
( cd usr/lib/sane ; rm -rf libsane-ricoh2.so.1 )
( cd usr/lib/sane ; ln -sf libsane-ricoh2.so.1.0.32 libsane-ricoh2.so.1 )
( cd usr/lib/sane ; rm -rf libsane-rts8891.so )
( cd usr/lib/sane ; ln -sf libsane-rts8891.so.1.0.32 libsane-rts8891.so )
( cd usr/lib/sane ; rm -rf libsane-rts8891.so.1 )
( cd usr/lib/sane ; ln -sf libsane-rts8891.so.1.0.32 libsane-rts8891.so.1 )
( cd usr/lib/sane ; rm -rf libsane-s9036.so )
( cd usr/lib/sane ; ln -sf libsane-s9036.so.1.0.32 libsane-s9036.so )
( cd usr/lib/sane ; rm -rf libsane-s9036.so.1 )
( cd usr/lib/sane ; ln -sf libsane-s9036.so.1.0.32 libsane-s9036.so.1 )
( cd usr/lib/sane ; rm -rf libsane-sceptre.so )
( cd usr/lib/sane ; ln -sf libsane-sceptre.so.1.0.32 libsane-sceptre.so )
( cd usr/lib/sane ; rm -rf libsane-sceptre.so.1 )
( cd usr/lib/sane ; ln -sf libsane-sceptre.so.1.0.32 libsane-sceptre.so.1 )
( cd usr/lib/sane ; rm -rf libsane-sharp.so )
( cd usr/lib/sane ; ln -sf libsane-sharp.so.1.0.32 libsane-sharp.so )
( cd usr/lib/sane ; rm -rf libsane-sharp.so.1 )
( cd usr/lib/sane ; ln -sf libsane-sharp.so.1.0.32 libsane-sharp.so.1 )
( cd usr/lib/sane ; rm -rf libsane-sm3600.so )
( cd usr/lib/sane ; ln -sf libsane-sm3600.so.1.0.32 libsane-sm3600.so )
( cd usr/lib/sane ; rm -rf libsane-sm3600.so.1 )
( cd usr/lib/sane ; ln -sf libsane-sm3600.so.1.0.32 libsane-sm3600.so.1 )
( cd usr/lib/sane ; rm -rf libsane-sm3840.so )
( cd usr/lib/sane ; ln -sf libsane-sm3840.so.1.0.32 libsane-sm3840.so )
( cd usr/lib/sane ; rm -rf libsane-sm3840.so.1 )
( cd usr/lib/sane ; ln -sf libsane-sm3840.so.1.0.32 libsane-sm3840.so.1 )
( cd usr/lib/sane ; rm -rf libsane-snapscan.so )
( cd usr/lib/sane ; ln -sf libsane-snapscan.so.1.0.32 libsane-snapscan.so )
( cd usr/lib/sane ; rm -rf libsane-snapscan.so.1 )
( cd usr/lib/sane ; ln -sf libsane-snapscan.so.1.0.32 libsane-snapscan.so.1 )
( cd usr/lib/sane ; rm -rf libsane-sp15c.so )
( cd usr/lib/sane ; ln -sf libsane-sp15c.so.1.0.32 libsane-sp15c.so )
( cd usr/lib/sane ; rm -rf libsane-sp15c.so.1 )
( cd usr/lib/sane ; ln -sf libsane-sp15c.so.1.0.32 libsane-sp15c.so.1 )
( cd usr/lib/sane ; rm -rf libsane-st400.so )
( cd usr/lib/sane ; ln -sf libsane-st400.so.1.0.32 libsane-st400.so )
( cd usr/lib/sane ; rm -rf libsane-st400.so.1 )
( cd usr/lib/sane ; ln -sf libsane-st400.so.1.0.32 libsane-st400.so.1 )
( cd usr/lib/sane ; rm -rf libsane-stv680.so )
( cd usr/lib/sane ; ln -sf libsane-stv680.so.1.0.32 libsane-stv680.so )
( cd usr/lib/sane ; rm -rf libsane-stv680.so.1 )
( cd usr/lib/sane ; ln -sf libsane-stv680.so.1.0.32 libsane-stv680.so.1 )
( cd usr/lib/sane ; rm -rf libsane-tamarack.so )
( cd usr/lib/sane ; ln -sf libsane-tamarack.so.1.0.32 libsane-tamarack.so )
( cd usr/lib/sane ; rm -rf libsane-tamarack.so.1 )
( cd usr/lib/sane ; ln -sf libsane-tamarack.so.1.0.32 libsane-tamarack.so.1 )
( cd usr/lib/sane ; rm -rf libsane-teco1.so )
( cd usr/lib/sane ; ln -sf libsane-teco1.so.1.0.32 libsane-teco1.so )
( cd usr/lib/sane ; rm -rf libsane-teco1.so.1 )
( cd usr/lib/sane ; ln -sf libsane-teco1.so.1.0.32 libsane-teco1.so.1 )
( cd usr/lib/sane ; rm -rf libsane-teco2.so )
( cd usr/lib/sane ; ln -sf libsane-teco2.so.1.0.32 libsane-teco2.so )
( cd usr/lib/sane ; rm -rf libsane-teco2.so.1 )
( cd usr/lib/sane ; ln -sf libsane-teco2.so.1.0.32 libsane-teco2.so.1 )
( cd usr/lib/sane ; rm -rf libsane-teco3.so )
( cd usr/lib/sane ; ln -sf libsane-teco3.so.1.0.32 libsane-teco3.so )
( cd usr/lib/sane ; rm -rf libsane-teco3.so.1 )
( cd usr/lib/sane ; ln -sf libsane-teco3.so.1.0.32 libsane-teco3.so.1 )
( cd usr/lib/sane ; rm -rf libsane-test.so )
( cd usr/lib/sane ; ln -sf libsane-test.so.1.0.32 libsane-test.so )
( cd usr/lib/sane ; rm -rf libsane-test.so.1 )
( cd usr/lib/sane ; ln -sf libsane-test.so.1.0.32 libsane-test.so.1 )
( cd usr/lib/sane ; rm -rf libsane-u12.so )
( cd usr/lib/sane ; ln -sf libsane-u12.so.1.0.32 libsane-u12.so )
( cd usr/lib/sane ; rm -rf libsane-u12.so.1 )
( cd usr/lib/sane ; ln -sf libsane-u12.so.1.0.32 libsane-u12.so.1 )
( cd usr/lib/sane ; rm -rf libsane-umax.so )
( cd usr/lib/sane ; ln -sf libsane-umax.so.1.0.32 libsane-umax.so )
( cd usr/lib/sane ; rm -rf libsane-umax.so.1 )
( cd usr/lib/sane ; ln -sf libsane-umax.so.1.0.32 libsane-umax.so.1 )
( cd usr/lib/sane ; rm -rf libsane-umax1220u.so )
( cd usr/lib/sane ; ln -sf libsane-umax1220u.so.1.0.32 libsane-umax1220u.so )
( cd usr/lib/sane ; rm -rf libsane-umax1220u.so.1 )
( cd usr/lib/sane ; ln -sf libsane-umax1220u.so.1.0.32 libsane-umax1220u.so.1 )
( cd usr/lib/sane ; rm -rf libsane-umax_pp.so )
( cd usr/lib/sane ; ln -sf libsane-umax_pp.so.1.0.32 libsane-umax_pp.so )
( cd usr/lib/sane ; rm -rf libsane-umax_pp.so.1 )
( cd usr/lib/sane ; ln -sf libsane-umax_pp.so.1.0.32 libsane-umax_pp.so.1 )
( cd usr/lib/sane ; rm -rf libsane-v4l.so )
( cd usr/lib/sane ; ln -sf libsane-v4l.so.1.0.32 libsane-v4l.so )
( cd usr/lib/sane ; rm -rf libsane-v4l.so.1 )
( cd usr/lib/sane ; ln -sf libsane-v4l.so.1.0.32 libsane-v4l.so.1 )
( cd usr/lib/sane ; rm -rf libsane-xerox_mfp.so )
( cd usr/lib/sane ; ln -sf libsane-xerox_mfp.so.1.0.32 libsane-xerox_mfp.so )
( cd usr/lib/sane ; rm -rf libsane-xerox_mfp.so.1 )
( cd usr/lib/sane ; ln -sf libsane-xerox_mfp.so.1.0.32 libsane-xerox_mfp.so.1 )
